This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468487 - FC10 Beta Graphical Installer from DVD crashes if no known network adapter recognized
FC10 Beta Graphical Installer from DVD crashes if no known network adapter re...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 23:50 EDT by Steve Paul
Modified: 2009-10-26 09:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-26 09:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of the first page of error (2.25 MB, image/jpeg)
2008-10-24 23:50 EDT, Steve Paul
no flags Details

  None (edit)
Description Steve Paul 2008-10-24 23:50:17 EDT
Created attachment 321486 [details]
Image of the first page of error

Description of problem:
FC10 Beta  Graphical Installer crashes if network adapter is not recognized and no recognized network adapter is installed.

Version-Release number of selected component (if applicable):
FC10 Beta

How reproducible:
Every Time

Steps to Reproduce:
1. Build new PC with unrecognized network adapter (Intel® 82566DM in my case, which is recognized in FC9 Installer..)
2. Pick any installation path.
3. Installer crashes failing to install
  
Actual results:
"An unhandled exception has occurred.."
V Details
anaconda  11.4.1.40 exception report
Traceback (most recent call first)
  File "/usr/lib/anaconda/network.py", line 529, in doPreinstall
    if dev.get('GATEWAY'):
  File "/usr/lib/anaconda/yuminstall.py", line 1469, in doPreinstall
    anaconda.id.network.write(anaconda.rootPath)
..
..
tons of pages with the effect being
"UnboundLocalError: local variable 'dev' referenced before assignment"

Checking ALT-F2 then dmesg shows no eth0 device recognized when the above integrated NIC is recognized in FC9.  

Installing a well recognized NIC in a PCI slot and the installation works beautifully to completion.

Expected results:
Installation

Additional info:
ASUS P5E VM DO was a fully supported mainboard in FC9 with the exception of the integrated video required an X11 update.  It appears in FC10 beta, support for this NIC in the installer has been removed?
Comment 1 Thiago 2008-10-31 17:14:40 EDT
I had the same problem on a Lenovo T61 with a Intel 82566MM Gigabit Network.
Comment 2 Bug Zapper 2008-11-25 23:13:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 dongjibing 2009-10-26 04:38:39 EDT
You can try F12 rawhide again.If problems continue, please attach /tmp/anacdump.txt
and lspci -v output on FC9
Comment 4 Chris Lumens 2009-10-26 09:32:19 EDT
This should be fixed in F12.

Note You need to log in before you can comment on or make changes to this bug.